From 5d7b3eb8b9eff4281a282944307237f46442ea60 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 04 2024 22:00:38 +0000
Subject: [PATCH 8/220] Add cosmic-applet-minimize


---

diff --git a/cosmic-applet-minimize/srpm.sh b/cosmic-applet-minimize/srpm.sh
new file mode 100644
index 0000000..0bdd2aa
--- /dev/null
+++ b/cosmic-applet-minimize/srpm.sh
@@ -0,0 +1,64 @@
+#!/bin/bash -x
+
+# Variables. LOOK CLOSELY AND MAKE SURE THESE ARE CORRECT
+
+name='cosmic-applet-minimize'
+version='0.1.0'
+
+path_to_spec='cosmic-applet-minimize/*'
+pop_repo='cosmic-applets'
+
+# Commit to target. Use "latest" if you want master
+commit="latest"
+
+# Don't edit anything past this line 
+# ===================================================== #
+
+LATEST="latest"
+
+cd ../..
+# We should be in the base directory now
+
+git clone --recurse-submodules https://github.com/pop-os/$pop_repo
+
+cd $pop_repo
+
+if [[ "$commit" == "$LATEST" ]]
+then
+    commit=$(git rev-parse HEAD)
+fi
+
+echo $commit
+short_commit=${commit:0:6}
+
+git reset --hard $commit
+
+mkdir .vendor
+
+cargo vendor > .vendor/config.toml
+
+tar -pcf vendor.tar vendor && mv vendor.tar ../vendor.tar
+
+rm -rf vendor && cd ..
+
+# Back into cosmic-packaging
+
+ls
+
+if [ "$pop_repo" != "$name" ]; then
+    mv $pop_repo $name
+else
+    echo "names are equal. continuing..."
+fi
+
+tar -czf $name.tar.gz $name
+
+rm -rf $name
+
+cp cosmic-packaging/$path_to_spec .
+
+rm -rf cosmic-packaging
+
+current_date=$(date +'%Y%m%d.%H')
+
+sed -i "/^Version:    / s/.*/Version: $version~$current_date.$short_commit/" $name.spec
diff --git a/cosmic-applets/cosmic-applets.spec b/cosmic-applets/cosmic-applets.spec
index 0545443..b3cda2b 100644
--- a/cosmic-applets/cosmic-applets.spec
+++ b/cosmic-applets/cosmic-applets.spec
@@ -13,6 +13,7 @@ Requires:       cosmic-applet-app-list
 Requires:       cosmic-applet-audio
 Requires:       cosmic-applet-battery
 Requires:       cosmic-applet-bluetooth
+Requires:       cosmic-applet-minimize
 Requires:       cosmic-applet-network
 Requires:       cosmic-applet-notifications
 Requires:       cosmic-applet-panel-button
diff --git a/cosmic_apps.py b/cosmic_apps.py
index ba68f3d..f73f5a5 100644
--- a/cosmic_apps.py
+++ b/cosmic_apps.py
@@ -277,6 +277,29 @@ cargo build --frozen --offline --release --bin cosmic-applet-bluetooth
 """
 }
 
+COSMIC_APPLET_MINIMIZE = {
+"globals": "",
+"name": "cosmic-applet-minimize",
+"version": "0.1.0",
+"repo": "https://github.com/pop-os/cosmic-applets",
+"reposhort": "cosmic-applets",
+"commit": "latest",
+"summary": "WIP bluetooth applet for cosmic-panel",
+"license": GPL3,
+"sources": STANDARD_SOURCES,
+"buildrequires": STANDARD_BUILDREQUIRES,
+"requires": STANDARD_REQUIRES,
+"prep": STANDARD_PREP,
+"build": f"""
+just vendor=1 _extract_vendor
+cargo build --frozen --offline --release --bin cosmic-applet-minimize
+""",
+"install": f"just rootdir=%{{buildroot}} prefix=%{{_prefix}} _install_minimize",
+"files": f"""
+{contains_app("cosmic-applet-bluetooth","com.system76.CosmicAppletMinimize",True, True, True, False, False, "cosmic-applet-minimize/")}
+"""
+}
+
 COSMIC_APPLET_NETWORK = {
 "globals": "",
 "name": "cosmic-applet-network",
diff --git a/specgen.py b/specgen.py
index 1a1890b..7b42c36 100644
--- a/specgen.py
+++ b/specgen.py
@@ -11,6 +11,7 @@ BUILD_APPS = [
     cosmic_apps.COSMIC_APPLET_AUDIO,
     cosmic_apps.COSMIC_APPLET_BATTERY,
     cosmic_apps.COSMIC_APPLET_BLUETOOTH,
+    cosmic_apps.COSMIC_APPLET_MINIMIZE,
     cosmic_apps.COSMIC_APPLET_NETWORK,
     cosmic_apps.COSMIC_APPLET_NOTIFICATIONS,
     cosmic_apps.COSMIC_APPLET_POWER,

